// java wrapper for vtkUniformGridAMRDataIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUniformGridAMRDataIterator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkCompositeDataIterator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUniformGridAMRDataIterator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUniformGridAMRDataIterator",dType)) { return me; }
  if ((res= vtkCompositeDataIterator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUniformGridAMRDataIterator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUniformGridAMRDataIterator *op;
  const char    *temp20;

  op = (vtkUniformGridAMRDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGridAMRDataIterator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUniformGridAMRDataIterator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUniformGridAMRDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUniformGridAMRDataIterator_GetCurrentMetaData_12(JNIEnv *env, jobject obj)
{
  vtkUniformGridAMRDataIterator *op;
  vtkInformation  *temp20;

  op = (vtkUniformGridAMRDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentMetaData();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGridAMRDataIterator_HasCurrentMetaData_13(JNIEnv *env, jobject obj)
{
  vtkUniformGridAMRDataIterator *op;
  int      temp20;

  op = (vtkUniformGridAMRDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasCurrentMetaData();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkUniformGridAMRDataIterator_GetCurrentDataObject_14(JNIEnv *env, jobject obj)
{
  vtkUniformGridAMRDataIterator *op;
  vtkDataObject  *temp20;

  op = (vtkUniformGridAMRDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentDataObject();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGridAMRDataIterator_GetCurrentFlatIndex_15(JNIEnv *env, jobject obj)
{
  vtkUniformGridAMRDataIterator *op;
   unsigned int      temp20;

  op = (vtkUniformGridAMRDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentFlatIndex();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGridAMRDataIterator_GetCurrentLevel_16(JNIEnv *env, jobject obj)
{
  vtkUniformGridAMRDataIterator *op;
   unsigned int      temp20;

  op = (vtkUniformGridAMRDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentLevel();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGridAMRDataIterator_GetCurrentIndex_17(JNIEnv *env, jobject obj)
{
  vtkUniformGridAMRDataIterator *op;
   unsigned int      temp20;

  op = (vtkUniformGridAMRDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCurrentIndex();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGridAMRDataIterator_GoToFirstItem_18(JNIEnv *env, jobject obj)
{
  vtkUniformGridAMRDataIterator *op;

  op = (vtkUniformGridAMRDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->GoToFirstItem();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUniformGridAMRDataIterator_GoToNextItem_19(JNIEnv *env, jobject obj)
{
  vtkUniformGridAMRDataIterator *op;

  op = (vtkUniformGridAMRDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  op->GoToNextItem();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUniformGridAMRDataIterator_IsDoneWithTraversal_110(JNIEnv *env, jobject obj)
{
  vtkUniformGridAMRDataIterator *op;
  int      temp20;

  op = (vtkUniformGridAMRDataIterator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsDoneWithTraversal();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkUniformGridAMRDataIterator_VTKInit(JNIEnv *, jobject)
{
  vtkUniformGridAMRDataIterator *aNewOne = vtkUniformGridAMRDataIterator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
