// java wrapper for vtkCompositeInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositeInterpolatedVelocityField.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAbstractInterpolatedVelocityField_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositeInterpolatedVelocityField_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositeInterpolatedVelocityField",dType)) { return me; }
  if ((res= vtkAbstractInterpolatedVelocityField_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompositeInterpolatedVelocityField_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompositeInterpolatedVelocityField *op;
  const char    *temp20;

  op = (vtkCompositeInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeInterpolatedVelocityField_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositeInterpolatedVelocityField *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositeInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeInterpolatedVelocityField_GetLastDataSetIndex_12(JNIEnv *env, jobject obj)
{
  vtkCompositeInterpolatedVelocityField *op;
  int      temp20;

  op = (vtkCompositeInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastDataSetIndex();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositeInterpolatedVelocityField_GetLastDataSet_13(JNIEnv *env, jobject obj)
{
  vtkCompositeInterpolatedVelocityField *op;
  vtkDataSet  *temp20;

  op = (vtkCompositeInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLastDataSet();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeInterpolatedVelocityField_AddDataSet_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositeInterpolatedVelocityField *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositeInterpolatedVelocityField *)vtkJavaGetPointerFromObject(env,obj);
  op->AddDataSet(temp0);
}
