// java wrapper for vtkDataSetGhostGenerator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetGhostGenerator.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMultiBlockDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSetGhostGenerator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSetGhostGenerator",dType)) { return me; }
  if ((res= vtkMultiBlockDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetGhostGenerator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataSetGhostGenerator *op;
  const char    *temp20;

  op = (vtkDataSetGhostGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetGhostGenerator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetGhostGenerator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetGhostGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetGhostGenerator_SetNumberOfGhostLayers_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetGhostGenerator *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataSetGhostGenerator *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfGhostLayers(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetGhostGenerator_GetNumberOfGhostLayers_13(JNIEnv *env, jobject obj)
{
  vtkDataSetGhostGenerator *op;
  int      temp20;

  op = (vtkDataSetGhostGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfGhostLayers();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetGhostGenerator_FillInputPortInformation_14(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkDataSetGhostGenerator *op;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkDataSetGhostGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FillInputPortInformation(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetGhostGenerator_FillOutputPortInformation_15(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkDataSetGhostGenerator *op;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  temp0 = id0;
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkDataSetGhostGenerator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->FillOutputPortInformation(temp0,temp1);
  return temp20;
}
