// java wrapper for vtkProcrustesAlignmentFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProcrustesAlignmentFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMultiBlockDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProcrustesAlignmentFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProcrustesAlignmentFilter",dType)) { return me; }
  if ((res= vtkMultiBlockDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProcrustesAlignmentFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProcrustesAlignmentFilter *op;
  const char    *temp20;

  op = (vtkProcrustesAlignmentFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProcrustesAlignmentFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProcrustesAlignmentFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProcrustesAlignmentFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProcrustesAlignmentFilter_GetLandmarkTransform_12(JNIEnv *env, jobject obj)
{
  vtkProcrustesAlignmentFilter *op;
  vtkLandmarkTransform  *temp20;

  op = (vtkProcrustesAlignmentFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLandmarkTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkProcrustesAlignmentFilter_GetMeanPoints_13(JNIEnv *env, jobject obj)
{
  vtkProcrustesAlignmentFilter *op;
  vtkPoints  *temp20;

  op = (vtkProcrustesAlignmentFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMeanPoints();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcrustesAlignmentFilter_SetStartFromCentroid_14(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkProcrustesAlignmentFilter *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkProcrustesAlignmentFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStartFromCentroid(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkProcrustesAlignmentFilter_GetStartFromCentroid_15(JNIEnv *env, jobject obj)
{
  vtkProcrustesAlignmentFilter *op;
  bool   temp20;

  op = (vtkProcrustesAlignmentFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStartFromCentroid();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcrustesAlignmentFilter_StartFromCentroidOn_16(JNIEnv *env, jobject obj)
{
  vtkProcrustesAlignmentFilter *op;

  op = (vtkProcrustesAlignmentFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->StartFromCentroidOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcrustesAlignmentFilter_StartFromCentroidOff_17(JNIEnv *env, jobject obj)
{
  vtkProcrustesAlignmentFilter *op;

  op = (vtkProcrustesAlignmentFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->StartFromCentroidOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkProcrustesAlignmentFilter_VTKInit(JNIEnv *, jobject)
{
  vtkProcrustesAlignmentFilter *aNewOne = vtkProcrustesAlignmentFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
