// java wrapper for vtkHyperTreeGridToUnstructuredGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperTreeGridToUnstructuredGrid.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHyperTreeGridToUnstructuredGrid_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHyperTreeGridToUnstructuredGrid",dType)) { return me; }
  if ((res= vtkUnstructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHyperTreeGridToUnstructuredGrid_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGridToUnstructuredGrid *op;
  const char    *temp20;

  op = (vtkHyperTreeGridToUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGridToUnstructuredGrid_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHyperTreeGridToUnstructuredGrid *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHyperTreeGridToUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHyperTreeGridToUnstructuredGrid_VTKInit(JNIEnv *, jobject)
{
  vtkHyperTreeGridToUnstructuredGrid *aNewOne = vtkHyperTreeGridToUnstructuredGrid::New();
  return (jlong)(size_t)(void*)aNewOne;
}
