// java wrapper for vtkPCAStatisticsGnuR object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPCAStatisticsGnuR.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPCAStatistics_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPCAStatisticsGnuR_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPCAStatisticsGnuR",dType)) { return me; }
  if ((res= vtkPCAStatistics_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPCAStatisticsGnuR_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPCAStatisticsGnuR *op;
  const char    *temp20;

  op = (vtkPCAStatisticsGnuR *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPCAStatisticsGnuR_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPCAStatisticsGnuR *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPCAStatisticsGnuR *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPCAStatisticsGnuR_VTKInit(JNIEnv *, jobject)
{
  vtkPCAStatisticsGnuR *aNewOne = vtkPCAStatisticsGnuR::New();
  return (jlong)(size_t)(void*)aNewOne;
}
