// java wrapper for vtkRCalculatorFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRCalculatorFilter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataObjectAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRCalculatorFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRCalculatorFilter",dType)) { return me; }
  if ((res= vtkDataObjectAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRCalculatorFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRCalculatorFilter *op;
  const char    *temp20;

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRCalculatorFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRCalculatorFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRCalculatorFilter_PutArray_12(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkRCalculatorFilter *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->PutArray(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRCalculatorFilter_GetArray_13(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkRCalculatorFilter *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->GetArray(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRCalculatorFilter_RemoveAllPutVariables_14(JNIEnv *env, jobject obj)
{
  vtkRCalculatorFilter *op;

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllPutVariables();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRCalculatorFilter_RemoveAllGetVariables_15(JNIEnv *env, jobject obj)
{
  vtkRCalculatorFilter *op;

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllGetVariables();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRCalculatorFilter_PutTable_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRCalculatorFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->PutTable(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRCalculatorFilter_GetTable_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRCalculatorFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->GetTable(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRCalculatorFilter_PutTree_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRCalculatorFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->PutTree(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRCalculatorFilter_GetTree_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRCalculatorFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->GetTree(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRCalculatorFilter_SetRscript_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRCalculatorFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRscript(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRCalculatorFilter_GetRscript_111(JNIEnv *env, jobject obj)
{
  vtkRCalculatorFilter *op;
  char    *temp20;

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRscript();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRCalculatorFilter_SetScriptFname_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRCalculatorFilter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScriptFname(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRCalculatorFilter_GetScriptFname_113(JNIEnv *env, jobject obj)
{
  vtkRCalculatorFilter *op;
  char    *temp20;

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScriptFname();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRCalculatorFilter_SetRoutput_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkRCalculatorFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRoutput(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRCalculatorFilter_GetRoutput_115(JNIEnv *env, jobject obj)
{
  vtkRCalculatorFilter *op;
  int      temp20;

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRoutput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRCalculatorFilter_SetTimeOutput_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkRCalculatorFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTimeOutput(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRCalculatorFilter_GetTimeOutput_117(JNIEnv *env, jobject obj)
{
  vtkRCalculatorFilter *op;
  int      temp20;

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTimeOutput();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRCalculatorFilter_SetBlockInfoOutput_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkRCalculatorFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlockInfoOutput(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRCalculatorFilter_GetBlockInfoOutput_119(JNIEnv *env, jobject obj)
{
  vtkRCalculatorFilter *op;
  int      temp20;

  op = (vtkRCalculatorFilter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlockInfoOutput();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkRCalculatorFilter_VTKInit(JNIEnv *, jobject)
{
  vtkRCalculatorFilter *aNewOne = vtkRCalculatorFilter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
