// java wrapper for vtkAMREnzoReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAMREnzoReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkAMRBaseReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAMREnzoReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAMREnzoReader",dType)) { return me; }
  if ((res= vtkAMRBaseReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAMREnzoReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAMREnzoReader *op;
  const char    *temp20;

  op = (vtkAMREnzoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMREnzoReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAMREnzoReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAMREnzoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMREnzoReader_SetConvertToCGS_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkAMREnzoReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAMREnzoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetConvertToCGS(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMREnzoReader_GetConvertToCGS_13(JNIEnv *env, jobject obj)
{
  vtkAMREnzoReader *op;
  int      temp20;

  op = (vtkAMREnzoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetConvertToCGS();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMREnzoReader_ConvertToCGSOn_14(JNIEnv *env, jobject obj)
{
  vtkAMREnzoReader *op;

  op = (vtkAMREnzoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ConvertToCGSOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMREnzoReader_ConvertToCGSOff_15(JNIEnv *env, jobject obj)
{
  vtkAMREnzoReader *op;

  op = (vtkAMREnzoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ConvertToCGSOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMREnzoReader_GetNumberOfBlocks_16(JNIEnv *env, jobject obj)
{
  vtkAMREnzoReader *op;
  int      temp20;

  op = (vtkAMREnzoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfBlocks();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMREnzoReader_GetNumberOfLevels_17(JNIEnv *env, jobject obj)
{
  vtkAMREnzoReader *op;
  int      temp20;

  op = (vtkAMREnzoReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLevels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMREnzoReader_SetFileName_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAMREnzoReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAMREnzoReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAMREnzoReader_VTKInit(JNIEnv *, jobject)
{
  vtkAMREnzoReader *aNewOne = vtkAMREnzoReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
