// java wrapper for vtkGL2PSExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGL2PSExporter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkExporter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGL2PSExporter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGL2PSExporter",dType)) { return me; }
  if ((res= vtkExporter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGL2PSExporter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  const char    *temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGL2PSExporter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetFilePrefix_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGL2PSExporter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFilePrefix(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGL2PSExporter_GetFilePrefix_13(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  char    *temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFilePrefix();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetTitle_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGL2PSExporter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTitle(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGL2PSExporter_GetTitle_15(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  char    *temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTitle();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetFileFormat_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileFormat(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetFileFormatMinValue_17(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileFormatMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetFileFormatMaxValue_18(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileFormatMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetFileFormat_19(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileFormat();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetFileFormatToPS_110(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileFormatToPS();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetFileFormatToEPS_111(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileFormatToEPS();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetFileFormatToPDF_112(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileFormatToPDF();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetFileFormatToTeX_113(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileFormatToTeX();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetFileFormatToSVG_114(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileFormatToSVG();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGL2PSExporter_GetFileFormatAsString_115(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  const char    *temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileFormatAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetSort_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSort(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetSortMinValue_117(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSortMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetSortMaxValue_118(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSortMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetSort_119(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSort();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetSortToOff_120(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSortToOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetSortToSimple_121(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSortToSimple();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetSortToBSP_122(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSortToBSP();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGL2PSExporter_GetSortAsString_123(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  const char    *temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSortAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetCompress_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompress(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetCompress_125(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompress();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_CompressOn_126(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->CompressOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_CompressOff_127(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->CompressOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetDrawBackground_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDrawBackground(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetDrawBackground_129(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDrawBackground();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_DrawBackgroundOn_130(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawBackgroundOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_DrawBackgroundOff_131(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawBackgroundOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetSimpleLineOffset_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSimpleLineOffset(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetSimpleLineOffset_133(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSimpleLineOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SimpleLineOffsetOn_134(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SimpleLineOffsetOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SimpleLineOffsetOff_135(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SimpleLineOffsetOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetSilent_136(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSilent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetSilent_137(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSilent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SilentOn_138(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SilentOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SilentOff_139(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SilentOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetBestRoot_140(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBestRoot(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetBestRoot_141(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBestRoot();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_BestRootOn_142(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->BestRootOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_BestRootOff_143(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->BestRootOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetText_144(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetText(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetText_145(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetText();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_TextOn_146(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->TextOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_TextOff_147(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->TextOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetLandscape_148(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLandscape(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetLandscape_149(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLandscape();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_LandscapeOn_150(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->LandscapeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_LandscapeOff_151(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->LandscapeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetPS3Shading_152(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPS3Shading(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetPS3Shading_153(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPS3Shading();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_PS3ShadingOn_154(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->PS3ShadingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_PS3ShadingOff_155(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->PS3ShadingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetOcclusionCull_156(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOcclusionCull(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetOcclusionCull_157(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOcclusionCull();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_OcclusionCullOn_158(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->OcclusionCullOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_OcclusionCullOff_159(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->OcclusionCullOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetWrite3DPropsAsRasterImage_160(JNIEnv *env, jobject obj,jint id0)
{
  vtkGL2PSExporter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWrite3DPropsAsRasterImage(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSExporter_GetWrite3DPropsAsRasterImage_161(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  int      temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWrite3DPropsAsRasterImage();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_Write3DPropsAsRasterImageOn_162(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->Write3DPropsAsRasterImageOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_Write3DPropsAsRasterImageOff_163(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->Write3DPropsAsRasterImageOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetTextAsPath_164(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGL2PSExporter *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTextAsPath(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGL2PSExporter_GetTextAsPath_165(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  bool   temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextAsPath();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_TextAsPathOn_166(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->TextAsPathOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_TextAsPathOff_167(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->TextAsPathOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetRasterExclusions_168(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGL2PSExporter *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRasterExclusions(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGL2PSExporter_GetRasterExclusions_169(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  vtkPropCollection  *temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRasterExclusions();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetPointSizeFactor_170(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGL2PSExporter *op;
  float    temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointSizeFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGL2PSExporter_GetPointSizeFactor_171(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  float    temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointSizeFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSExporter_SetLineWidthFactor_172(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGL2PSExporter *op;
  float    temp0;
  temp0 = id0;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineWidthFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGL2PSExporter_GetLineWidthFactor_173(JNIEnv *env, jobject obj)
{
  vtkGL2PSExporter *op;
  float    temp20;

  op = (vtkGL2PSExporter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineWidthFactor();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGL2PSExporter_VTKInit(JNIEnv *, jobject)
{
  vtkGL2PSExporter *aNewOne = vtkGL2PSExporter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
