// java wrapper for vtkNrrdReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkNrrdReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkNrrdReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkNrrdReader",dType)) { return me; }
  if ((res= vtkImageReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkNrrdReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkNrrdReader *op;
  const char    *temp20;

  op = (vtkNrrdReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNrrdReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNrrdReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNrrdReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNrrdReader_CanReadFile_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNrrdReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNrrdReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanReadFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkNrrdReader_VTKInit(JNIEnv *, jobject)
{
  vtkNrrdReader *aNewOne = vtkNrrdReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
