// java wrapper for vtkGenericMovieWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericMovieWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGenericMovieWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGenericMovieWriter",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericMovieWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGenericMovieWriter *op;
  const char    *temp20;

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericMovieWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericMovieWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericMovieWriter_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGenericMovieWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericMovieWriter_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkGenericMovieWriter *op;
  char    *temp20;

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericMovieWriter_Start_14(JNIEnv *env, jobject obj)
{
  vtkGenericMovieWriter *op;

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->Start();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericMovieWriter_Write_15(JNIEnv *env, jobject obj)
{
  vtkGenericMovieWriter *op;

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->Write();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGenericMovieWriter_End_16(JNIEnv *env, jobject obj)
{
  vtkGenericMovieWriter *op;

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->End();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGenericMovieWriter_GetError_17(JNIEnv *env, jobject obj)
{
  vtkGenericMovieWriter *op;
  int      temp20;

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetError();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGenericMovieWriter_GetStringFromErrorCode_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkGenericMovieWriter *op;
   unsigned long     temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkGenericMovieWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStringFromErrorCode(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}
