// java wrapper for vtkAbstractContextBufferId object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractContextBufferId.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAbstractContextBufferId_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAbstractContextBufferId",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractContextBufferId_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAbstractContextBufferId *op;
  const char    *temp20;

  op = (vtkAbstractContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractContextBufferId_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractContextBufferId *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractContextBufferId_GetWidth_12(JNIEnv *env, jobject obj)
{
  vtkAbstractContextBufferId *op;
  int      temp20;

  op = (vtkAbstractContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidth();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractContextBufferId_SetWidth_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractContextBufferId *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAbstractContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  op->SetWidth(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractContextBufferId_GetHeight_14(JNIEnv *env, jobject obj)
{
  vtkAbstractContextBufferId *op;
  int      temp20;

  op = (vtkAbstractContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHeight();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractContextBufferId_SetHeight_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkAbstractContextBufferId *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAbstractContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHeight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractContextBufferId_Allocate_16(JNIEnv *env, jobject obj)
{
  vtkAbstractContextBufferId *op;

  op = (vtkAbstractContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  op->Allocate();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkAbstractContextBufferId_IsAllocated_17(JNIEnv *env, jobject obj)
{
  vtkAbstractContextBufferId *op;
  bool   temp20;

  op = (vtkAbstractContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsAllocated();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractContextBufferId_SetValues_18(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkAbstractContextBufferId *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAbstractContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  op->SetValues(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractContextBufferId_GetPickedItem_19(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkAbstractContextBufferId *op;
  int      temp0;
  int      temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkAbstractContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPickedItem(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractContextBufferId_ReleaseGraphicsResources_110(JNIEnv *env, jobject obj)
{
  vtkAbstractContextBufferId *op;

  op = (vtkAbstractContextBufferId *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources();
}
