// java wrapper for vtkMathTextFreeTypeTextRenderer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMathTextFreeTypeTextRenderer.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTextRenderer_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMathTextFreeTypeTextRenderer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMathTextFreeTypeTextRenderer",dType)) { return me; }
  if ((res= vtkTextRenderer_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMathTextFreeTypeTextRenderer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMathTextFreeTypeTextRenderer *op;
  const char    *temp20;

  op = (vtkMathTextFreeTypeTextRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMathTextFreeTypeTextRenderer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMathTextFreeTypeTextRenderer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMathTextFreeTypeTextRenderer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMathTextFreeTypeTextRenderer_VTKInit(JNIEnv *, jobject)
{
  vtkMathTextFreeTypeTextRenderer *aNewOne = vtkMathTextFreeTypeTextRenderer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
