// java wrapper for vtkStructuredGridLIC2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStructuredGridLIC2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkStructuredGridAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStructuredGridLIC2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStructuredGridLIC2D",dType)) { return me; }
  if ((res= vtkStructuredGridAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStructuredGridLIC2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStructuredGridLIC2D *op;
  const char    *temp20;

  op = (vtkStructuredGridLIC2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGridLIC2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStructuredGridLIC2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStructuredGridLIC2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGridLIC2D_SetContext_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStructuredGridLIC2D *op;
  vtkRenderWindow  *temp0;
  int      temp20;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStructuredGridLIC2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetContext(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkStructuredGridLIC2D_GetContext_13(JNIEnv *env, jobject obj)
{
  vtkStructuredGridLIC2D *op;
  vtkRenderWindow  *temp20;

  op = (vtkStructuredGridLIC2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetContext();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGridLIC2D_SetSteps_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredGridLIC2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStructuredGridLIC2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSteps(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGridLIC2D_GetSteps_15(JNIEnv *env, jobject obj)
{
  vtkStructuredGridLIC2D *op;
  int      temp20;

  op = (vtkStructuredGridLIC2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSteps();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGridLIC2D_SetStepSize_16(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkStructuredGridLIC2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkStructuredGridLIC2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetStepSize(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkStructuredGridLIC2D_GetStepSize_17(JNIEnv *env, jobject obj)
{
  vtkStructuredGridLIC2D *op;
  double   temp20;

  op = (vtkStructuredGridLIC2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetStepSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStructuredGridLIC2D_SetMagnification_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkStructuredGridLIC2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkStructuredGridLIC2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMagnification(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGridLIC2D_GetMagnificationMinValue_19(JNIEnv *env, jobject obj)
{
  vtkStructuredGridLIC2D *op;
  int      temp20;

  op = (vtkStructuredGridLIC2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMagnificationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGridLIC2D_GetMagnificationMaxValue_110(JNIEnv *env, jobject obj)
{
  vtkStructuredGridLIC2D *op;
  int      temp20;

  op = (vtkStructuredGridLIC2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMagnificationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGridLIC2D_GetMagnification_111(JNIEnv *env, jobject obj)
{
  vtkStructuredGridLIC2D *op;
  int      temp20;

  op = (vtkStructuredGridLIC2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMagnification();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGridLIC2D_GetOpenGLExtensionsSupported_112(JNIEnv *env, jobject obj)
{
  vtkStructuredGridLIC2D *op;
  int      temp20;

  op = (vtkStructuredGridLIC2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOpenGLExtensionsSupported();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGridLIC2D_GetFBOSuccess_113(JNIEnv *env, jobject obj)
{
  vtkStructuredGridLIC2D *op;
  int      temp20;

  op = (vtkStructuredGridLIC2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFBOSuccess();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStructuredGridLIC2D_GetLICSuccess_114(JNIEnv *env, jobject obj)
{
  vtkStructuredGridLIC2D *op;
  int      temp20;

  op = (vtkStructuredGridLIC2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLICSuccess();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkStructuredGridLIC2D_VTKInit(JNIEnv *, jobject)
{
  vtkStructuredGridLIC2D *aNewOne = vtkStructuredGridLIC2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
