// java wrapper for vtkTreeHeatmapItem object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeHeatmapItem.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkContextItem_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTreeHeatmapItem_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTreeHeatmapItem",dType)) { return me; }
  if ((res= vtkContextItem_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeHeatmapItem_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTreeHeatmapItem *op;
  const char    *temp20;

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeHeatmapItem_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeHeatmapItem *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeHeatmapItem_SetTree_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTreeHeatmapItem *op;
  vtkTree  *temp0;
  temp0 = (vtkTree *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTree(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTreeHeatmapItem_GetTree_13(JNIEnv *env, jobject obj)
{
  vtkTreeHeatmapItem *op;
  vtkTree  *temp20;

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTree();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeHeatmapItem_SetTable_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTreeHeatmapItem *op;
  vtkTable  *temp0;
  temp0 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTable(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTreeHeatmapItem_GetTable_15(JNIEnv *env, jobject obj)
{
  vtkTreeHeatmapItem *op;
  vtkTable  *temp20;

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTable();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeHeatmapItem_CollapseToNumberOfLeafNodes_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkTreeHeatmapItem *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  op->CollapseToNumberOfLeafNodes(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTreeHeatmapItem_GetPrunedTree_17(JNIEnv *env, jobject obj)
{
  vtkTreeHeatmapItem *op;
  vtkTree  *temp20;

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPrunedTree();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeHeatmapItem_SetTreeColorArray_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeHeatmapItem *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeHeatmapItem *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTreeColorArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTreeHeatmapItem_VTKInit(JNIEnv *, jobject)
{
  vtkTreeHeatmapItem *aNewOne = vtkTreeHeatmapItem::New();
  return (jlong)(size_t)(void*)aNewOne;
}
