// java wrapper for vtkPlotPoints3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPlotPoints3D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPlot3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPlotPoints3D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPlotPoints3D",dType)) { return me; }
  if ((res= vtkPlot3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPlotPoints3D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPlotPoints3D *op;
  const char    *temp20;

  op = (vtkPlotPoints3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPlotPoints3D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPlotPoints3D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPlotPoints3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPlotPoints3D_Paint_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPlotPoints3D *op;
  vtkContext2D  *temp0;
  bool   temp20;
  temp0 = (vtkContext2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPlotPoints3D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Paint(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPlotPoints3D_VTKInit(JNIEnv *, jobject)
{
  vtkPlotPoints3D *aNewOne = vtkPlotPoints3D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
