// java wrapper for vtkColorSeries object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkColorSeries.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkColorSeries_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkColorSeries",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkColorSeries_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkColorSeries *op;
  const char    *temp20;

  op = (vtkColorSeries *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorSeries_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkColorSeries *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkColorSeries *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorSeries_SetColorScheme_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkColorSeries *op;
  int      temp0;
  temp0 = id0;

  op = (vtkColorSeries *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorScheme(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorSeries_SetColorSchemeByName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkColorSeries *op;
  vtkStdString temp0;
  int      temp20;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkColorSeries *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetColorSchemeByName(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorSeries_GetNumberOfColorSchemes_14(JNIEnv *env, jobject obj)
{
  vtkColorSeries *op;
  int      temp20;

  op = (vtkColorSeries *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfColorSchemes();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkColorSeries_GetColorSchemeName_15(JNIEnv *env, jobject obj)
{
  vtkColorSeries *op;
  vtkStdString   temp20;

  op = (vtkColorSeries *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorSchemeName();
  return vtkJavaMakeJavaString(env,temp20.c_str());
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorSeries_SetColorSchemeName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkColorSeries *op;
  vtkStdString temp0;
  vtkJavaUTFToString(env,id0,temp0);

  op = (vtkColorSeries *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorSchemeName(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorSeries_GetColorScheme_17(JNIEnv *env, jobject obj)
{
  vtkColorSeries *op;
  int      temp20;

  op = (vtkColorSeries *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorScheme();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkColorSeries_GetNumberOfColors_18(JNIEnv *env, jobject obj)
{
  vtkColorSeries *op;
  int      temp20;

  op = (vtkColorSeries *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfColors();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorSeries_SetNumberOfColors_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkColorSeries *op;
  int      temp0;
  temp0 = id0;

  op = (vtkColorSeries *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfColors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorSeries_RemoveColor_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkColorSeries *op;
  int      temp0;
  temp0 = id0;

  op = (vtkColorSeries *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveColor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorSeries_ClearColors_111(JNIEnv *env, jobject obj)
{
  vtkColorSeries *op;

  op = (vtkColorSeries *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearColors();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorSeries_DeepCopy_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkColorSeries *op;
  vtkColorSeries  *temp0;
  temp0 = (vtkColorSeries *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkColorSeries *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkColorSeries_BuildLookupTable_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkColorSeries *op;
  vtkLookupTable  *temp0;
  temp0 = (vtkLookupTable *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkColorSeries *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildLookupTable(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkColorSeries_CreateLookupTable_114(JNIEnv *env, jobject obj)
{
  vtkColorSeries *op;
  vtkLookupTable  *temp20;

  op = (vtkColorSeries *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateLookupTable();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkColorSeries_VTKInit(JNIEnv *, jobject)
{
  vtkColorSeries *aNewOne = vtkColorSeries::New();
  return (jlong)(size_t)(void*)aNewOne;
}
