// java wrapper for vtkPath object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPath.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPointSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPath_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPath",dType)) { return me; }
  if ((res= vtkPointSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPath_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPath *op;
  const char    *temp20;

  op = (vtkPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPath_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPath *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPath_GetDataObjectType_12(JNIEnv *env, jobject obj)
{
  vtkPath *op;
  int      temp20;

  op = (vtkPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPath_InsertNextPoint_13(JNIEnv *env, jobject obj,jdoubleArray id0,jint id1)
{
  vtkPath *op;
  float  temp0[3];
  void *tempArray0;
  int      temp1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = id1;

  op = (vtkPath *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertNextPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPath_InsertNextPoint_14(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jint id3)
{
  vtkPath *op;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkPath *)vtkJavaGetPointerFromObject(env,obj);
  op->InsertNextPoint(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPath_SetCodes_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPath *op;
  vtkIntArray  *temp0;
  temp0 = (vtkIntArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPath *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCodes(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPath_GetCodes_16(JNIEnv *env, jobject obj)
{
  vtkPath *op;
  vtkIntArray  *temp20;

  op = (vtkPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCodes();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPath_GetNumberOfCells_17(JNIEnv *env, jobject obj)
{
  vtkPath *op;
  vtkIdType   temp20;

  op = (vtkPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPath_GetCell_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkPath *op;
  vtkIdType   temp0;
  vtkCell  *temp20;
  temp0 = id0;

  op = (vtkPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCell(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPath_GetCell_19(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPath *op;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  temp0 = id0;
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPath *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCell(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPath_GetCellType_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkPath *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCellType(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPath_GetCellPoints_111(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPath *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPath *)vtkJavaGetPointerFromObject(env,obj);
  op->GetCellPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPath_GetPointCells_112(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkPath *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkPath *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPointCells(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPath_GetMaxCellSize_113(JNIEnv *env, jobject obj)
{
  vtkPath *op;
  int      temp20;

  op = (vtkPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMaxCellSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPath_Allocate_114(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkPath *op;
  vtkIdType   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkPath *)vtkJavaGetPointerFromObject(env,obj);
  op->Allocate(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPath_Reset_115(JNIEnv *env, jobject obj)
{
  vtkPath *op;

  op = (vtkPath *)vtkJavaGetPointerFromObject(env,obj);
  op->Reset();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPath_GetData_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkPath *op;
  vtkInformation  *temp0;
  vtkPath  *temp20;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkPath_GetData_117(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkPath *op;
  vtkInformationVector  *temp0;
  int      temp1;
  vtkPath  *temp20;
  temp0 = (vtkInformationVector *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkPath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetData(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPath_VTKInit(JNIEnv *, jobject)
{
  vtkPath *aNewOne = vtkPath::New();
  return (jlong)(size_t)(void*)aNewOne;
}
