// java wrapper for vtkOverlappingAMRAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOverlappingAMRAlgorithm.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUniformGridAMRAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOverlappingAMRAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOverlappingAMRAlgorithm",dType)) { return me; }
  if ((res= vtkUniformGridAMRAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOverlappingAMRAlgorithm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOverlappingAMRAlgorithm *op;
  const char    *temp20;

  op = (vtkOverlappingAMRAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOverlappingAMRAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOverlappingAMRAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOverlappingAMRAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOverlappingAMRAlgorithm_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkOverlappingAMRAlgorithm *op;
  vtkOverlappingAMR  *temp20;

  op = (vtkOverlappingAMRAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOverlappingAMRAlgorithm_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkOverlappingAMRAlgorithm *op;
  int      temp0;
  vtkOverlappingAMR  *temp20;
  temp0 = id0;

  op = (vtkOverlappingAMRAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOverlappingAMRAlgorithm_VTKInit(JNIEnv *, jobject)
{
  vtkOverlappingAMRAlgorithm *aNewOne = vtkOverlappingAMRAlgorithm::New();
  return (jlong)(size_t)(void*)aNewOne;
}
