// java wrapper for vtkPassArrays object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPassArrays.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataObjectAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkPassArrays_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkPassArrays",dType)) { return me; }
  if ((res= vtkDataObjectAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkPassArrays_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkPassArrays *op;
  const char    *temp20;

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkPassArrays_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPassArrays *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_AddArray_12(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkPassArrays *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->AddArray(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_AddPointDataArray_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPassArrays *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->AddPointDataArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_AddCellDataArray_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPassArrays *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->AddCellDataArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_AddFieldDataArray_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPassArrays *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->AddFieldDataArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_RemoveArray_16(JNIEnv *env, jobject obj,jint id0,jstring id1)
{
  vtkPassArrays *op;
  int      temp0;
  char    *temp1;
  temp0 = id0;
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveArray(temp0,temp1);
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_RemovePointDataArray_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPassArrays *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->RemovePointDataArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_RemoveCellDataArray_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPassArrays *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveCellDataArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_RemoveFieldDataArray_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkPassArrays *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveFieldDataArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_ClearArrays_110(JNIEnv *env, jobject obj)
{
  vtkPassArrays *op;

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_ClearPointDataArrays_111(JNIEnv *env, jobject obj)
{
  vtkPassArrays *op;

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearPointDataArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_ClearCellDataArrays_112(JNIEnv *env, jobject obj)
{
  vtkPassArrays *op;

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearCellDataArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_ClearFieldDataArrays_113(JNIEnv *env, jobject obj)
{
  vtkPassArrays *op;

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearFieldDataArrays();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_SetRemoveArrays_114(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkPassArrays *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRemoveArrays(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPassArrays_GetRemoveArrays_115(JNIEnv *env, jobject obj)
{
  vtkPassArrays *op;
  bool   temp20;

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRemoveArrays();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_RemoveArraysOn_116(JNIEnv *env, jobject obj)
{
  vtkPassArrays *op;

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveArraysOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_RemoveArraysOff_117(JNIEnv *env, jobject obj)
{
  vtkPassArrays *op;

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveArraysOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_SetUseFieldTypes_118(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkPassArrays *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseFieldTypes(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkPassArrays_GetUseFieldTypes_119(JNIEnv *env, jobject obj)
{
  vtkPassArrays *op;
  bool   temp20;

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseFieldTypes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_UseFieldTypesOn_120(JNIEnv *env, jobject obj)
{
  vtkPassArrays *op;

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->UseFieldTypesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_UseFieldTypesOff_121(JNIEnv *env, jobject obj)
{
  vtkPassArrays *op;

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->UseFieldTypesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_AddFieldType_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkPassArrays *op;
  int      temp0;
  temp0 = id0;

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->AddFieldType(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkPassArrays_ClearFieldTypes_123(JNIEnv *env, jobject obj)
{
  vtkPassArrays *op;

  op = (vtkPassArrays *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearFieldTypes();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkPassArrays_VTKInit(JNIEnv *, jobject)
{
  vtkPassArrays *aNewOne = vtkPassArrays::New();
  return (jlong)(size_t)(void*)aNewOne;
}
