// java wrapper for vtkHyperTreeGridAxisCut object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHyperTreeGridAxisCut.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHyperTreeGridAxisCut_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHyperTreeGridAxisCut",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHyperTreeGridAxisCut_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGridAxisCut *op;
  const char    *temp20;

  op = (vtkHyperTreeGridAxisCut *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGridAxisCut_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHyperTreeGridAxisCut *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHyperTreeGridAxisCut *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGridAxisCut_SetPlaneNormalAxis_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkHyperTreeGridAxisCut *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHyperTreeGridAxisCut *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPlaneNormalAxis(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHyperTreeGridAxisCut_GetPlaneNormalAxis_13(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGridAxisCut *op;
  int      temp20;

  op = (vtkHyperTreeGridAxisCut *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlaneNormalAxis();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHyperTreeGridAxisCut_SetPlanePosition_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkHyperTreeGridAxisCut *op;
  double   temp0;
  temp0 = id0;

  op = (vtkHyperTreeGridAxisCut *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPlanePosition(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkHyperTreeGridAxisCut_GetPlanePosition_15(JNIEnv *env, jobject obj)
{
  vtkHyperTreeGridAxisCut *op;
  double   temp20;

  op = (vtkHyperTreeGridAxisCut *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlanePosition();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHyperTreeGridAxisCut_VTKInit(JNIEnv *, jobject)
{
  vtkHyperTreeGridAxisCut *aNewOne = vtkHyperTreeGridAxisCut::New();
  return (jlong)(size_t)(void*)aNewOne;
}
