// java wrapper for vtkAMRBaseParticlesReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAMRBaseParticlesReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMultiBlockDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAMRBaseParticlesReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAMRBaseParticlesReader",dType)) { return me; }
  if ((res= vtkMultiBlockDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAMRBaseParticlesReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAMRBaseParticlesReader *op;
  const char    *temp20;

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMRBaseParticlesReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAMRBaseParticlesReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMRBaseParticlesReader_GetFrequency_12(JNIEnv *env, jobject obj)
{
  vtkAMRBaseParticlesReader *op;
  int      temp20;

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFrequency();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRBaseParticlesReader_SetFrequency_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkAMRBaseParticlesReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFrequency(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAMRBaseParticlesReader_GetController_14(JNIEnv *env, jobject obj)
{
  vtkAMRBaseParticlesReader *op;
  vtkMultiProcessController  *temp20;

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetController();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRBaseParticlesReader_SetController_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAMRBaseParticlesReader *op;
  vtkMultiProcessController  *temp0;
  temp0 = (vtkMultiProcessController *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetController(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRBaseParticlesReader_SetFilterLocation_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkAMRBaseParticlesReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFilterLocation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMRBaseParticlesReader_GetFilterLocation_17(JNIEnv *env, jobject obj)
{
  vtkAMRBaseParticlesReader *op;
  int      temp20;

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFilterLocation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRBaseParticlesReader_FilterLocationOn_18(JNIEnv *env, jobject obj)
{
  vtkAMRBaseParticlesReader *op;

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  op->FilterLocationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRBaseParticlesReader_FilterLocationOff_19(JNIEnv *env, jobject obj)
{
  vtkAMRBaseParticlesReader *op;

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  op->FilterLocationOff();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkAMRBaseParticlesReader_GetParticleDataArraySelection_110(JNIEnv *env, jobject obj)
{
  vtkAMRBaseParticlesReader *op;
  vtkDataArraySelection  *temp20;

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParticleDataArraySelection();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMRBaseParticlesReader_GetNumberOfParticleArrays_111(JNIEnv *env, jobject obj)
{
  vtkAMRBaseParticlesReader *op;
  int      temp20;

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfParticleArrays();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAMRBaseParticlesReader_GetParticleArrayName_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkAMRBaseParticlesReader *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParticleArrayName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMRBaseParticlesReader_GetParticleArrayStatus_113(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAMRBaseParticlesReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetParticleArrayStatus(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRBaseParticlesReader_SetParticleArrayStatus_114(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkAMRBaseParticlesReader *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParticleArrayStatus(temp0,temp1);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRBaseParticlesReader_SetFileName_115(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAMRBaseParticlesReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAMRBaseParticlesReader_GetFileName_116(JNIEnv *env, jobject obj)
{
  vtkAMRBaseParticlesReader *op;
  char    *temp20;

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRBaseParticlesReader_SetMinLocation_117(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkAMRBaseParticlesReader *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMinLocation(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRBaseParticlesReader_SetMaxLocation_118(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkAMRBaseParticlesReader *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaxLocation(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMRBaseParticlesReader_GetTotalNumberOfParticles_119(JNIEnv *env, jobject obj)
{
  vtkAMRBaseParticlesReader *op;
  int      temp20;

  op = (vtkAMRBaseParticlesReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTotalNumberOfParticles();
  return temp20;
}
