// java wrapper for vtkMCubesWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMCubesWriter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWriter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMCubesWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMCubesWriter",dType)) { return me; }
  if ((res= vtkWriter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMCubesWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMCubesWriter *op;
  const char    *temp20;

  op = (vtkMCubesWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMCubesWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMCubesWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMCubesWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesWriter_SetLimitsFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMCubesWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMCubesWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLimitsFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMCubesWriter_GetLimitsFileName_13(JNIEnv *env, jobject obj)
{
  vtkMCubesWriter *op;
  char    *temp20;

  op = (vtkMCubesWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLimitsFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMCubesWriter_GetInput_14(JNIEnv *env, jobject obj)
{
  vtkMCubesWriter *op;
  vtkPolyData  *temp20;

  op = (vtkMCubesWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMCubesWriter_GetInput_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkMCubesWriter *op;
  int      temp0;
  vtkPolyData  *temp20;
  temp0 = id0;

  op = (vtkMCubesWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMCubesWriter_SetFileName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMCubesWriter *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMCubesWriter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMCubesWriter_GetFileName_17(JNIEnv *env, jobject obj)
{
  vtkMCubesWriter *op;
  char    *temp20;

  op = (vtkMCubesWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMCubesWriter_VTKInit(JNIEnv *, jobject)
{
  vtkMCubesWriter *aNewOne = vtkMCubesWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
