// java wrapper for vtkMultiBlockPLOT3DReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMultiBlockPLOT3DReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkMultiBlockDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMultiBlockPLOT3DReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMultiBlockPLOT3DReader",dType)) { return me; }
  if ((res= vtkMultiBlockDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  const char    *temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMultiBlockPLOT3DReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetFileName_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMultiBlockPLOT3DReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetFileName_13(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  const char    *temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetXYZFileName_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMultiBlockPLOT3DReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXYZFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetXYZFileName_15(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  char    *temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXYZFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetQFileName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMultiBlockPLOT3DReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetQFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetQFileName_17(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  char    *temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetQFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetFunctionFileName_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMultiBlockPLOT3DReader *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFunctionFileName(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetFunctionFileName_19(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  char    *temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFunctionFileName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetAutoDetectFormat_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAutoDetectFormat(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetAutoDetectFormat_111(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAutoDetectFormat();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_AutoDetectFormatOn_112(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoDetectFormatOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_AutoDetectFormatOff_113(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->AutoDetectFormatOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetBinaryFile_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBinaryFile(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetBinaryFile_115(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBinaryFile();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_BinaryFileOn_116(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->BinaryFileOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_BinaryFileOff_117(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->BinaryFileOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetMultiGrid_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMultiGrid(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetMultiGrid_119(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetMultiGrid();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_MultiGridOn_120(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->MultiGridOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_MultiGridOff_121(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->MultiGridOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetHasByteCount_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHasByteCount(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetHasByteCount_123(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHasByteCount();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_HasByteCountOn_124(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->HasByteCountOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_HasByteCountOff_125(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->HasByteCountOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetIBlanking_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIBlanking(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetIBlanking_127(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIBlanking();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_IBlankingOn_128(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->IBlankingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_IBlankingOff_129(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->IBlankingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetTwoDimensionalGeometry_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTwoDimensionalGeometry(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetTwoDimensionalGeometry_131(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTwoDimensionalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_TwoDimensionalGeometryOn_132(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->TwoDimensionalGeometryOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_TwoDimensionalGeometryOff_133(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->TwoDimensionalGeometryOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetDoublePrecision_134(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDoublePrecision(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetDoublePrecision_135(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDoublePrecision();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_DoublePrecisionOn_136(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->DoublePrecisionOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_DoublePrecisionOff_137(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->DoublePrecisionOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetForceRead_138(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetForceRead(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetForceRead_139(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetForceRead();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_ForceReadOn_140(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ForceReadOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_ForceReadOff_141(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->ForceReadOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetByteOrderToBigEndian_142(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetByteOrderToBigEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetByteOrderToLittleEndian_143(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetByteOrderToLittleEndian();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetByteOrder_144(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetByteOrder(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetByteOrder_145(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetByteOrder();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetByteOrderAsString_146(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  const char    *temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetByteOrderAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetR_147(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkMultiBlockPLOT3DReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetR(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetR_148(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  double   temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetR();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetGamma_149(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkMultiBlockPLOT3DReader *op;
  double   temp0;
  temp0 = id0;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGamma(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetGamma_150(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  double   temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGamma();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetScalarFunctionNumber_151(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarFunctionNumber(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetScalarFunctionNumber_152(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarFunctionNumber();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_SetVectorFunctionNumber_153(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVectorFunctionNumber(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_GetVectorFunctionNumber_154(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp20;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVectorFunctionNumber();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_AddFunction_155(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->AddFunction(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_RemoveFunction_156(JNIEnv *env, jobject obj,jint id0)
{
  vtkMultiBlockPLOT3DReader *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveFunction(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_RemoveAllFunctions_157(JNIEnv *env, jobject obj)
{
  vtkMultiBlockPLOT3DReader *op;

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllFunctions();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_CanReadBinaryFile_158(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMultiBlockPLOT3DReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMultiBlockPLOT3DReader *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CanReadBinaryFile(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMultiBlockPLOT3DReader_VTKInit(JNIEnv *, jobject)
{
  vtkMultiBlockPLOT3DReader *aNewOne = vtkMultiBlockPLOT3DReader::New();
  return (jlong)(size_t)(void*)aNewOne;
}
