// java wrapper for vtkCubeAxesActor2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCubeAxesActor2D.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkActor2D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCubeAxesActor2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCubeAxesActor2D",dType)) { return me; }
  if ((res= vtkActor2D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  const char    *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_RenderOverlay_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_RenderOpaqueGeometry_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_RenderTranslucentPolygonalGeometry_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_HasTranslucentPolygonalGeometry_15(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetInputConnection_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetInputData_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputData(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCubeAxesActor2D_GetInput_18(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  vtkDataSet  *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetViewProp_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkProp  *temp0;
  temp0 = (vtkProp *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetViewProp(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCubeAxesActor2D_GetViewProp_110(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  vtkProp  *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetViewProp();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetBounds_111(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkCubeAxesActor2D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetBounds_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCubeAxesActor2D *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCubeAxesActor2D_GetBounds_113(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  double  *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_GetBounds_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCubeAxesActor2D *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetRanges_115(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkCubeAxesActor2D *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRanges(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetRanges_116(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCubeAxesActor2D *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRanges(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCubeAxesActor2D_GetRanges_117(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  double  *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRanges();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_GetRanges_118(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCubeAxesActor2D *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetRanges(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetXOrigin_119(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCubeAxesActor2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXOrigin(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetYOrigin_120(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCubeAxesActor2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYOrigin(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetZOrigin_121(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCubeAxesActor2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZOrigin(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetUseRanges_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseRanges(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetUseRanges_123(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseRanges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_UseRangesOn_124(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->UseRangesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_UseRangesOff_125(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->UseRangesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetCamera_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkCamera  *temp0;
  temp0 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCamera(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCubeAxesActor2D_GetCamera_127(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  vtkCamera  *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCamera();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetFlyMode_128(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFlyMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetFlyModeMinValue_129(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFlyModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetFlyModeMaxValue_130(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFlyModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetFlyMode_131(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFlyMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetFlyModeToOuterEdges_132(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFlyModeToOuterEdges();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetFlyModeToClosestTriad_133(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFlyModeToClosestTriad();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetFlyModeToNone_134(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFlyModeToNone();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetScaling_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaling(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetScaling_136(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaling();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_ScalingOn_137(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_ScalingOff_138(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ScalingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetNumberOfLabels_139(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfLabels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetNumberOfLabelsMinValue_140(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLabelsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetNumberOfLabelsMaxValue_141(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLabelsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetNumberOfLabels_142(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfLabels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetXLabel_143(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXLabel(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor2D_GetXLabel_144(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  char    *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXLabel();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetYLabel_145(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYLabel(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor2D_GetYLabel_146(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  char    *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYLabel();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetZLabel_147(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZLabel(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor2D_GetZLabel_148(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  char    *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZLabel();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCubeAxesActor2D_GetXAxisActor2D_149(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  vtkAxisActor2D  *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXAxisActor2D();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCubeAxesActor2D_GetYAxisActor2D_150(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  vtkAxisActor2D  *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYAxisActor2D();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCubeAxesActor2D_GetZAxisActor2D_151(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  vtkAxisActor2D  *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZAxisActor2D();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetAxisTitleTextProperty_152(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisTitleTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCubeAxesActor2D_GetAxisTitleTextProperty_153(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  vtkTextProperty  *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisTitleTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetAxisLabelTextProperty_154(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkTextProperty  *temp0;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAxisLabelTextProperty(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCubeAxesActor2D_GetAxisLabelTextProperty_155(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  vtkTextProperty  *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAxisLabelTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetLabelFormat_156(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCubeAxesActor2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelFormat(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCubeAxesActor2D_GetLabelFormat_157(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  char    *temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelFormat();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetFontFactor_158(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCubeAxesActor2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFontFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCubeAxesActor2D_GetFontFactorMinValue_159(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  double   temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFontFactorMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCubeAxesActor2D_GetFontFactorMaxValue_160(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  double   temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFontFactorMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCubeAxesActor2D_GetFontFactor_161(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  double   temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFontFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetInertia_162(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInertia(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetInertiaMinValue_163(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInertiaMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetInertiaMaxValue_164(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInertiaMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetInertia_165(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInertia();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetShowActualBounds_166(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShowActualBounds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetShowActualBoundsMinValue_167(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShowActualBoundsMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetShowActualBoundsMaxValue_168(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShowActualBoundsMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetShowActualBounds_169(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShowActualBounds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetCornerOffset_170(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkCubeAxesActor2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCornerOffset(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCubeAxesActor2D_GetCornerOffset_171(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  double   temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCornerOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_ReleaseGraphicsResources_172(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetXAxisVisibility_173(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetXAxisVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetXAxisVisibility_174(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetXAxisVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_XAxisVisibilityOn_175(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->XAxisVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_XAxisVisibilityOff_176(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->XAxisVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetYAxisVisibility_177(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetYAxisVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetYAxisVisibility_178(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetYAxisVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_YAxisVisibilityOn_179(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->YAxisVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_YAxisVisibilityOff_180(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->YAxisVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_SetZAxisVisibility_181(JNIEnv *env, jobject obj,jint id0)
{
  vtkCubeAxesActor2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetZAxisVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCubeAxesActor2D_GetZAxisVisibility_182(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;
  int      temp20;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetZAxisVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_ZAxisVisibilityOn_183(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ZAxisVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_ZAxisVisibilityOff_184(JNIEnv *env, jobject obj)
{
  vtkCubeAxesActor2D *op;

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ZAxisVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCubeAxesActor2D_ShallowCopy_185(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCubeAxesActor2D *op;
  vtkCubeAxesActor2D  *temp0;
  temp0 = (vtkCubeAxesActor2D *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCubeAxesActor2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCubeAxesActor2D_VTKInit(JNIEnv *, jobject)
{
  vtkCubeAxesActor2D *aNewOne = vtkCubeAxesActor2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
