// java wrapper for vtkCompositeDataDisplayAttributes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositeDataDisplayAttributes.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositeDataDisplayAttributes_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositeDataDisplayAttributes",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompositeDataDisplayAttributes *op;
  const char    *temp20;

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositeDataDisplayAttributes *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_HasBlockVisibilities_12(JNIEnv *env, jobject obj)
{
  vtkCompositeDataDisplayAttributes *op;
  bool   temp20;

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasBlockVisibilities();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_SetBlockVisibility_13(JNIEnv *env, jobject obj,jint id0,jboolean id1)
{
  vtkCompositeDataDisplayAttributes *op;
   unsigned int      temp0;
  bool   temp1;
  temp0 = id0;
  temp1 = (id1 != 0) ? true : false;

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlockVisibility(temp0,temp1);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_GetBlockVisibility_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositeDataDisplayAttributes *op;
   unsigned int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlockVisibility(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_HasBlockVisibility_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositeDataDisplayAttributes *op;
   unsigned int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasBlockVisibility(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_RemoveBlockVisibility_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositeDataDisplayAttributes *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveBlockVisibility(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_RemoveBlockVisibilites_17(JNIEnv *env, jobject obj)
{
  vtkCompositeDataDisplayAttributes *op;

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveBlockVisibilites();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_SetBlockColor_18(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkCompositeDataDisplayAttributes *op;
   unsigned int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlockColor(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_GetBlockColor_19(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkCompositeDataDisplayAttributes *op;
   unsigned int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBlockColor(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_HasBlockColors_110(JNIEnv *env, jobject obj)
{
  vtkCompositeDataDisplayAttributes *op;
  bool   temp20;

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasBlockColors();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_HasBlockColor_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositeDataDisplayAttributes *op;
   unsigned int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasBlockColor(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_RemoveBlockColor_112(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositeDataDisplayAttributes *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveBlockColor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_RemoveBlockColors_113(JNIEnv *env, jobject obj)
{
  vtkCompositeDataDisplayAttributes *op;

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveBlockColors();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_SetBlockOpacity_114(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkCompositeDataDisplayAttributes *op;
   unsigned int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlockOpacity(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_GetBlockOpacity_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositeDataDisplayAttributes *op;
   unsigned int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlockOpacity(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_HasBlockOpacities_116(JNIEnv *env, jobject obj)
{
  vtkCompositeDataDisplayAttributes *op;
  bool   temp20;

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasBlockOpacities();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_HasBlockOpacity_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositeDataDisplayAttributes *op;
   unsigned int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasBlockOpacity(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_RemoveBlockOpacity_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositeDataDisplayAttributes *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveBlockOpacity(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_RemoveBlockOpacities_119(JNIEnv *env, jobject obj)
{
  vtkCompositeDataDisplayAttributes *op;

  op = (vtkCompositeDataDisplayAttributes *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveBlockOpacities();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCompositeDataDisplayAttributes_VTKInit(JNIEnv *, jobject)
{
  vtkCompositeDataDisplayAttributes *aNewOne = vtkCompositeDataDisplayAttributes::New();
  return (jlong)(size_t)(void*)aNewOne;
}
