// java wrapper for vtkCompositePainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositePainter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPainter_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositePainter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositePainter",dType)) { return me; }
  if ((res= vtkPainter_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompositePainter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompositePainter *op;
  const char    *temp20;

  op = (vtkCompositePainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositePainter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositePainter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositePainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositePainter_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkCompositePainter *op;
  vtkDataObject  *temp20;

  op = (vtkCompositePainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutput();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositePainter_DISPLAY_1ATTRIBUTES_13(JNIEnv *env, jobject obj)
{
  vtkCompositePainter *op;
  vtkInformationObjectBaseKey  *temp20;

  op = (vtkCompositePainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DISPLAY_ATTRIBUTES();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositePainter_SetCompositeDataDisplayAttributes_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositePainter *op;
  vtkCompositeDataDisplayAttributes  *temp0;
  temp0 = (vtkCompositeDataDisplayAttributes *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositePainter *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompositeDataDisplayAttributes(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositePainter_GetCompositeDataDisplayAttributes_15(JNIEnv *env, jobject obj)
{
  vtkCompositePainter *op;
  vtkCompositeDataDisplayAttributes  *temp20;

  op = (vtkCompositePainter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompositeDataDisplayAttributes();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCompositePainter_VTKInit(JNIEnv *, jobject)
{
  vtkCompositePainter *aNewOne = vtkCompositePainter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
