// java wrapper for vtkCompositePolyDataMapper2 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositePolyDataMapper2.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPainterPolyDataMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositePolyDataMapper2_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositePolyDataMapper2",dType)) { return me; }
  if ((res= vtkPainterPolyDataMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompositePolyDataMapper2_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompositePolyDataMapper2 *op;
  const char    *temp20;

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositePolyDataMapper2_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositePolyDataMapper2 *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCompositePolyDataMapper2_GetIsOpaque_12(JNIEnv *env, jobject obj)
{
  vtkCompositePolyDataMapper2 *op;
  bool   temp20;

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIsOpaque();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositePolyDataMapper2_SetCompositeDataDisplayAttributes_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkCompositePolyDataMapper2 *op;
  vtkCompositeDataDisplayAttributes  *temp0;
  temp0 = (vtkCompositeDataDisplayAttributes *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompositeDataDisplayAttributes(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCompositePolyDataMapper2_GetCompositeDataDisplayAttributes_14(JNIEnv *env, jobject obj)
{
  vtkCompositePolyDataMapper2 *op;
  vtkCompositeDataDisplayAttributes  *temp20;

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompositeDataDisplayAttributes();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositePolyDataMapper2_SetBlockVisibility_15(JNIEnv *env, jobject obj,jint id0,jboolean id1)
{
  vtkCompositePolyDataMapper2 *op;
   unsigned int      temp0;
  bool   temp1;
  temp0 = id0;
  temp1 = (id1 != 0) ? true : false;

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlockVisibility(temp0,temp1);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkCompositePolyDataMapper2_GetBlockVisibility_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositePolyDataMapper2 *op;
   unsigned int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlockVisibility(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositePolyDataMapper2_RemoveBlockVisibility_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositePolyDataMapper2 *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveBlockVisibility(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositePolyDataMapper2_RemoveBlockVisibilites_18(JNIEnv *env, jobject obj)
{
  vtkCompositePolyDataMapper2 *op;

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveBlockVisibilites();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositePolyDataMapper2_SetBlockColor_19(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkCompositePolyDataMapper2 *op;
   unsigned int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlockColor(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositePolyDataMapper2_SetBlockColor_110(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkCompositePolyDataMapper2 *op;
   unsigned int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlockColor(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositePolyDataMapper2_RemoveBlockColor_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositePolyDataMapper2 *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveBlockColor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositePolyDataMapper2_RemoveBlockColors_112(JNIEnv *env, jobject obj)
{
  vtkCompositePolyDataMapper2 *op;

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveBlockColors();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositePolyDataMapper2_SetBlockOpacity_113(JNIEnv *env, jobject obj,jint id0,jdouble id1)
{
  vtkCompositePolyDataMapper2 *op;
   unsigned int      temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlockOpacity(temp0,temp1);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkCompositePolyDataMapper2_GetBlockOpacity_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositePolyDataMapper2 *op;
   unsigned int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlockOpacity(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositePolyDataMapper2_RemoveBlockOpacity_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositePolyDataMapper2 *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveBlockOpacity(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositePolyDataMapper2_RemoveBlockOpacities_116(JNIEnv *env, jobject obj)
{
  vtkCompositePolyDataMapper2 *op;

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveBlockOpacities();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCompositePolyDataMapper2_VTKInit(JNIEnv *, jobject)
{
  vtkCompositePolyDataMapper2 *aNewOne = vtkCompositePolyDataMapper2::New();
  return (jlong)(size_t)(void*)aNewOne;
}
