// java wrapper for vtkGL2PSUtilities object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGL2PSUtilities.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGL2PSUtilities_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGL2PSUtilities",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGL2PSUtilities_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGL2PSUtilities *op;
  const char    *temp20;

  op = (vtkGL2PSUtilities *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSUtilities_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGL2PSUtilities *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGL2PSUtilities *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGL2PSUtilities_DrawString_12(JNIEnv *env, jobject obj,jstring id0,jobject id1,jdoubleArray id2)
{
  vtkGL2PSUtilities *op;
  char    *temp0;
  vtkTextProperty  *temp1;
  double temp2[3];
  void *tempArray2;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id1));
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkGL2PSUtilities *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawString(temp0,temp1,temp2);
  if (temp0) delete[] temp0;
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGL2PSUtilities_TextPropertyToPSFontName_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGL2PSUtilities *op;
  vtkTextProperty  *temp0;
  const char    *temp20;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGL2PSUtilities *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TextPropertyToPSFontName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGL2PSUtilities_TextPropertyToGL2PSAlignment_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGL2PSUtilities *op;
  vtkTextProperty  *temp0;
  int      temp20;
  temp0 = (vtkTextProperty *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGL2PSUtilities *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->TextPropertyToGL2PSAlignment(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGL2PSUtilities_GetRenderWindow_15(JNIEnv *env, jobject obj)
{
  vtkGL2PSUtilities *op;
  vtkRenderWindow  *temp20;

  op = (vtkGL2PSUtilities *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderWindow();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGL2PSUtilities_GetTextAsPath_16(JNIEnv *env, jobject obj)
{
  vtkGL2PSUtilities *op;
  bool   temp20;

  op = (vtkGL2PSUtilities *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextAsPath();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGL2PSUtilities_GetPointSizeFactor_17(JNIEnv *env, jobject obj)
{
  vtkGL2PSUtilities *op;
  float    temp20;

  op = (vtkGL2PSUtilities *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointSizeFactor();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGL2PSUtilities_GetLineWidthFactor_18(JNIEnv *env, jobject obj)
{
  vtkGL2PSUtilities *op;
  float    temp20;

  op = (vtkGL2PSUtilities *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineWidthFactor();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGL2PSUtilities_VTKInit(JNIEnv *, jobject)
{
  vtkGL2PSUtilities *aNewOne = vtkGL2PSUtilities::New();
  return (jlong)(size_t)(void*)aNewOne;
}
