// java wrapper for vtkOpenGLProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLProperty.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkProperty_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLProperty_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLProperty",dType)) { return me; }
  if ((res= vtkProperty_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLProperty_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLProperty *op;
  const char    *temp20;

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLProperty_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLProperty *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLProperty_Render_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLProperty *op;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLProperty_BackfaceRender_13(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLProperty *op;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj);
  op->BackfaceRender(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLProperty_PostRender_14(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkOpenGLProperty *op;
  vtkActor  *temp0;
  vtkRenderer  *temp1;
  temp0 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj);
  op->PostRender(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLProperty_ReleaseGraphicsResources_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLProperty *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOpenGLProperty_GetShaderDeviceAdapter2_16(JNIEnv *env, jobject obj)
{
  vtkOpenGLProperty *op;
  vtkShaderDeviceAdapter2  *temp20;

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShaderDeviceAdapter2();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLProperty_SetMaterialProperties_17(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdoubleArray id2,jdouble id3,jdoubleArray id4,jdouble id5,jdoubleArray id6,jdouble id7,jdouble id8,jobject id9)
{
  vtkOpenGLProperty *op;
   unsigned int      temp0;
  double   temp1;
  double temp2[3];
  void *tempArray2;
  double   temp3;
  double temp4[3];
  void *tempArray4;
  double   temp5;
  double temp6[3];
  void *tempArray6;
  double   temp7;
  double   temp8;
  vtkOpenGLRenderWindow  *temp9;
  temp0 = id0;
  temp1 = id1;
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  temp3 = id3;
  tempArray4 = (void *)(env->GetDoubleArrayElements(id4,NULL));
  temp4[0] = ((jdouble *)tempArray4)[0];
  temp4[1] = ((jdouble *)tempArray4)[1];
  temp4[2] = ((jdouble *)tempArray4)[2];
  temp5 = id5;
  tempArray6 = (void *)(env->GetDoubleArrayElements(id6,NULL));
  temp6[0] = ((jdouble *)tempArray6)[0];
  temp6[1] = ((jdouble *)tempArray6)[1];
  temp6[2] = ((jdouble *)tempArray6)[2];
  temp7 = id7;
  temp8 = id8;
  temp9 = (vtkOpenGLRenderWindow *)(vtkJavaGetPointerFromObject(env,id9));

  op = (vtkOpenGLProperty *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMaterialProperties(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  ((jdouble *)tempArray4)[0] = temp4[0];
  ((jdouble *)tempArray4)[1] = temp4[1];
  ((jdouble *)tempArray4)[2] = temp4[2];
  env->ReleaseDoubleArrayElements(id4,(jdouble *)tempArray4,0);
  ((jdouble *)tempArray6)[0] = temp6[0];
  ((jdouble *)tempArray6)[1] = temp6[1];
  ((jdouble *)tempArray6)[2] = temp6[2];
  env->ReleaseDoubleArrayElements(id6,(jdouble *)tempArray6,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLProperty_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLProperty *aNewOne = vtkOpenGLProperty::New();
  return (jlong)(size_t)(void*)aNewOne;
}
