// java wrapper for vtkAMRVolumeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAMRVolumeMapper.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAMRVolumeMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAMRVolumeMapper",dType)) { return me; }
  if ((res= vtkVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAMRVolumeMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;
  const char    *temp20;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMRVolumeMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAMRVolumeMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetInputData_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAMRVolumeMapper *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetInputData_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAMRVolumeMapper *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetInputData_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAMRVolumeMapper *op;
  vtkOverlappingAMR  *temp0;
  temp0 = (vtkOverlappingAMR *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputData(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetInputConnection_15(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkAMRVolumeMapper *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputConnection(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetInputConnection_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAMRVolumeMapper *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_GetBounds_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAMRVolumeMapper *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetScalarMode_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkAMRVolumeMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalarMode(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetBlendMode_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkAMRVolumeMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBlendMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMRVolumeMapper_GetBlendMode_110(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;
  int      temp20;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBlendMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SelectScalarArray_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkAMRVolumeMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SelectScalarArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SelectScalarArray_112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAMRVolumeMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SelectScalarArray(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAMRVolumeMapper_GetArrayName_113(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;
  char    *temp20;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMRVolumeMapper_GetArrayId_114(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;
  int      temp20;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayId();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMRVolumeMapper_GetArrayAccessMode_115(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;
  int      temp20;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayAccessMode();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAMRVolumeMapper_GetScalarModeAsString_116(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;
  const char    *temp20;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetCropping_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkAMRVolumeMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCropping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMRVolumeMapper_GetCropping_118(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;
  int      temp20;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCropping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetCroppingRegionPlanes_119(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkAMRVolumeMapper *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCroppingRegionPlanes(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetCroppingRegionFlags_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkAMRVolumeMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCroppingRegionFlags(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMRVolumeMapper_GetCroppingRegionFlags_121(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;
  int      temp20;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCroppingRegionFlags();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetRequestedRenderMode_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkAMRVolumeMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRequestedRenderMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMRVolumeMapper_GetRequestedRenderMode_123(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;
  int      temp20;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRequestedRenderMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetRequestedRenderModeToDefault_124(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRequestedRenderModeToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetRequestedRenderModeToRayCastAndTexture_125(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRequestedRenderModeToRayCastAndTexture();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetRequestedRenderModeToRayCast_126(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRequestedRenderModeToRayCast();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetRequestedRenderModeToTexture_127(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRequestedRenderModeToTexture();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetRequestedRenderModeToGPU_128(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRequestedRenderModeToGPU();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetInterpolationMode_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkAMRVolumeMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMRVolumeMapper_GetInterpolationMode_130(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;
  int      temp20;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInterpolationMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetInterpolationModeToNearestNeighbor_131(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationModeToNearestNeighbor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetInterpolationModeToLinear_132(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationModeToLinear();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetInterpolationModeToCubic_133(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInterpolationModeToCubic();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetNumberOfSamples_134(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkAMRVolumeMapper *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfSamples(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetNumberOfSamples_135(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkAMRVolumeMapper *op;
  int    temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfSamples(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAMRVolumeMapper_GetNumberOfSamples_136(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;
  int     *temp20;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSamples();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetInteractiveUpdateRate_137(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAMRVolumeMapper *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractiveUpdateRate(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAMRVolumeMapper_GetInteractiveUpdateRate_138(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;
  double   temp20;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractiveUpdateRate();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_Render_139(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkAMRVolumeMapper *op;
  vtkRenderer  *temp0;
  vtkVolume  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_ReleaseGraphicsResources_140(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAMRVolumeMapper *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_UpdateResampler_141(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkAMRVolumeMapper *op;
  vtkRenderer  *temp0;
  vtkOverlappingAMR  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkOverlappingAMR *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateResampler(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_UpdateResamplerFrustrumMethod_142(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkAMRVolumeMapper *op;
  vtkRenderer  *temp0;
  vtkOverlappingAMR  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkOverlappingAMR *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateResamplerFrustrumMethod(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetRequestedResamplingMode_143(JNIEnv *env, jobject obj,jint id0)
{
  vtkAMRVolumeMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRequestedResamplingMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAMRVolumeMapper_GetRequestedResamplingMode_144(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;
  int      temp20;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRequestedResamplingMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetFreezeFocalPoint_145(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkAMRVolumeMapper *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFreezeFocalPoint(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkAMRVolumeMapper_GetFreezeFocalPoint_146(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;
  bool   temp20;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetFreezeFocalPoint();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetResamplerUpdateTolerance_147(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkAMRVolumeMapper *op;
  double   temp0;
  temp0 = id0;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResamplerUpdateTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkAMRVolumeMapper_GetResamplerUpdateTolerance_148(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;
  double   temp20;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResamplerUpdateTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAMRVolumeMapper_SetUseDefaultThreading_149(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkAMRVolumeMapper *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseDefaultThreading(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkAMRVolumeMapper_GetUseDefaultThreading_150(JNIEnv *env, jobject obj)
{
  vtkAMRVolumeMapper *op;
  bool   temp20;

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseDefaultThreading();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkAMRVolumeMapper_ComputeResamplerBoundsFrustumMethod_151(JNIEnv *env, jobject obj,jobject id0,jobject id1,jdoubleArray id2,jdoubleArray id3)
{
  vtkAMRVolumeMapper *op;
  vtkCamera  *temp0;
  vtkRenderer  *temp1;
  double temp2[6];
  void *tempArray2;
  double temp3[6];
  void *tempArray3;
  bool   temp20;
  temp0 = (vtkCamera *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id1));
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  temp2[3] = ((jdouble *)tempArray2)[3];
  temp2[4] = ((jdouble *)tempArray2)[4];
  temp2[5] = ((jdouble *)tempArray2)[5];
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];
  temp3[3] = ((jdouble *)tempArray3)[3];
  temp3[4] = ((jdouble *)tempArray3)[4];
  temp3[5] = ((jdouble *)tempArray3)[5];

  op = (vtkAMRVolumeMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeResamplerBoundsFrustumMethod(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  ((jdouble *)tempArray2)[3] = temp2[3];
  ((jdouble *)tempArray2)[4] = temp2[4];
  ((jdouble *)tempArray2)[5] = temp2[5];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  ((jdouble *)tempArray3)[3] = temp3[3];
  ((jdouble *)tempArray3)[4] = temp3[4];
  ((jdouble *)tempArray3)[5] = temp3[5];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkAMRVolumeMapper_VTKInit(JNIEnv *, jobject)
{
  vtkAMRVolumeMapper *aNewOne = vtkAMRVolumeMapper::New();
  return (jlong)(size_t)(void*)aNewOne;
}
