// python wrapper for vtkConfigure
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkConfigure.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkConfigure(PyObject *, const char *); }
void PyVTKAddFile_vtkConfigure(
  PyObject *dict, const char *)
{
  PyObject *o;
  o = PyInt_FromLong(64);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_MAX_THREADS", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyInt_FromLong(1);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_SIZEOF_CHAR", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyInt_FromLong(2);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_SIZEOF_SHORT", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyInt_FromLong(4);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_SIZEOF_INT", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyInt_FromLong(8);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_SIZEOF_LONG", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyInt_FromLong(4);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_SIZEOF_FLOAT", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyInt_FromLong(8);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_SIZEOF_DOUBLE", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyInt_FromLong(8);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_SIZEOF_VOID_P", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyInt_FromLong(8);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_SIZEOF_LONG_LONG", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyInt_FromLong(0);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_TYPE_CHAR_IS_SIGNED", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyInt_FromLong(1);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_STREAM_EOF_SEVERITY", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyString_FromString((char *)("/usr/bin/c++"));
  if (o && PyDict_SetItemString(dict, (char *)"VTK_CXX_COMPILER", o) != 0)
    {
    Py_DECREF(o);
    }

}

