// python wrapper for vtkVersionMacros
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkVersionMacros.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkVersionMacros(PyObject *, const char *); }
void PyVTKAddFile_vtkVersionMacros(
  PyObject *dict, const char *)
{
  PyObject *o;
  o = PyInt_FromLong(6);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_MAJOR_VERSION", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyInt_FromLong(0);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_MINOR_VERSION", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyInt_FromLong(0);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_BUILD_VERSION", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyString_FromString((char *)("6.0.0"));
  if (o && PyDict_SetItemString(dict, (char *)"VTK_VERSION", o) != 0)
    {
    Py_DECREF(o);
    }

}

